@{
    ViewBag.Title = "Log";
}
<div id="fb-root"></div>
<!--<fb:login-button scope="public_profile" onlogin="checkLoginState();">
</fb:login-button>-->
     <!--now this is some required facebook's JS, two things to pay attention to
    1. setting the ApplicationID, To make this project work you have to edit "callback.aspx.cs" and put your facebook-app-key there
    2. Adjust the permissions you want to get from user, set that in scope options below. -->
<script type="text/javascript">
    window.fbAsyncInit = function () {
        FB.init({
            appId: '216981945455357',
            status: true, // check login status
            cookie: true, // enable cookies to allow the server to access the session
            xfbml: true, // parse XFBML
            oauth: true // enable OAuth 2.0
        });
    };
    (function () {
        var e = document.createElement('script'); e.async = true;
        e.src = document.location.protocol +
        '//connect.facebook.net/en_US/all.js';
        document.getElementById('fb-root').appendChild(e);
    }());

    function loginByFacebook() {
        FB.login(function (response) {
            if (response.authResponse) {
                FacebookLoggedIn(response);
            } else {
                console.log('User cancelled login or did not fully authorize.');
            }
        }, { scope: 'email' });
    }

    function FacebookLoggedIn(response) {
        var loc = '/Home/CallBackFB';
        if (loc.indexOf('?') > -1)
            window.location = loc + '&authprv=facebook&access_token=' + response.authResponse.accessToken;
        else
            window.location = loc + '?authprv=facebook&access_token=' + response.authResponse.accessToken;
    }

    function checkLoginState() {

        FB.login(function (response) {
            if (response.authResponse) {
                FacebookLoggedIn(response);
            } else {
                console.log('User cancelled login or did not fully authorize.');
            }
        }, { scope: 'email' });
    }
</script>

<script>
 $(document).ready(function () {
    
        $('#LogOut').hide();
        if ('@ViewBag.Login' != '') {
            $('#myModal').modal();
        }
    });
    </script>
    <style>
    </style>
<div class="container">
   
 
    <div class="col-sm-4 col-sm-offset-4">
        <button  style="width:300px" type="button" class="a btn btn-success btn-lg btn-block" data-toggle="modal" data-target="#myModal">Login</button>
      <br>  <a href="#" class="ab" onclick="loginByFacebook();"><img width="300" src="http://photosextant.com/assets/images/fb_login.png"></button>
        <br> <br> <a href="@Url.Action("Authorize", "Home")" class="ab"><img width="300" src="http://www.tenants.com/tenant-landlord/images/twitter_login.png" alt=""></a>
    </div>
    @*<br /><hr /><br />
        <div class="col-sm-4 col-sm-offset-4">
            <a href="@Url.Action("Authorize", "Home")" class="btn btn-info btn-block"><i class="fa fa-twitter fa-2x" aria-hidden="true">&nbsp;Login</i></a>
        </div>*@
@ViewBag.Message
    <div class="modal fade" id="myModal" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-body">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <strong class="">Login</strong>
                        </div>
                        <div class="panel-body">
                            @using (Html.BeginForm("Index", "Home", FormMethod.Post, new { @class = "form-horizontal" }))
                            {
                                <div class="form-group">
                                    <label for="inputEmail3" class="col-sm-3 control-label">User Name</label>
                                    <div class="col-sm-9">
                                        @Html.TextBox("User", null, new { @class = "form-control", placeholder = "User Name here", required = "" })
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="inputPassword3" class="col-sm-3 control-label">Password</label>
                                    <div class="col-sm-9">
                                        @Html.Password("Password", null, new { @class = "form-control", placeholder = "Password here", required = "" })
                                    </div>
                                </div>

                                <div class="form-group last">
                                    <div class="col-sm-offset-3 col-sm-9">
                                        <button type="submit" class="btn btn-success btn-sm">Sign in</button>
                                        <button type="reset" class="btn btn-default btn-sm">Reset</button>
                                        <span style="color:red;margin-left:50px">@ViewBag.Login</span>
                                    </div>
                                </div>
                            }
                        </div>

                    </div>
                </div>
            </div>

        </div>
    </div>
</div>